#import "~/graphql_shared/fragments/label.fragment.graphql"
#import "~/graphql_shared/fragments/user.fragment.graphql"
#import "~/work_items/graphql/milestone.fragment.graphql"

fragment WorkItemMetadataWidgets on WorkItemWidget {
  ... on WorkItemWidgetDescription {
    type
  }
  ... on WorkItemWidgetStartAndDueDate {
    type
    dueDate
    startDate
  }
  ... on WorkItemWidgetWeight {
    type
    weight
  }
  ... on WorkItemWidgetIteration {
    iteration {
      description
      id
      iid
      title
      startDate
      dueDate
      updatedAt
      iterationCadence {
        title
      }
    }
    type
  }
  ... on WorkItemWidgetNotes {
    type
  }
  ... on WorkItemWidgetProgress {
    type
    progress
    updatedAt
  }
  ... on WorkItemWidgetHealthStatus {
    type
    healthStatus
  }
  ... on WorkItemWidgetMilestone {
    type
    milestone {
      ...MilestoneFragment
    }
  }
  ... on WorkItemWidgetAssignees {
    type
    allowsMultipleAssignees
    canInviteMembers
    assignees {
      nodes {
        ...User
      }
    }
  }
  ... on WorkItemWidgetLabels {
    type
    allowsScopedLabels
    labels {
      nodes {
        ...Label
      }
    }
  }
  ... on WorkItemWidgetNotifications {
    type
    subscribed
  }

  ... on WorkItemWidgetCurrentUserTodos {
    type
    currentUserTodos(state: pending) {
      nodes {
        id
      }
    }
  }
  ... on WorkItemWidgetAwardEmoji {
    type
  }

  ... on WorkItemWidgetLinkedItems {
    type
  }

  ... on WorkItemWidgetHierarchy {
    type
  }
}
